using GalaSoft.MvvmLight.Messaging;
using TaskIt.Core;
using TaskIt.ViewModels;

namespace TaskIt.Modules.Help.ViewModels
{
    public class TasksWidgetViewModelBase : WidgetViewModelBase
    {
        private string _sourceUrl;

        public void OnViewHtml()
        {
            Messenger.Default.Send(new ViewHtmlArgs(SourceUrl));
        }

        # region Properties

        public string SourceUrl
        {
            get { return _sourceUrl; }
            set { _sourceUrl = value; this.OnPropertyChanged("SourceUrl"); }
        }

        # endregion

    }
}
